org.apache.tapestry5.ioc.internal

## Class BasicDataTypeAnalyzers

- java.lang.Object
- - org.apache.tapestry5.ioc.internal.BasicDataTypeAnalyzers

-     public class BasicDataTypeAnalyzers
      extends java.lang.Object

  Class that provides Tapestry's basic default data type analyzers.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicDataTypeAnalyzers()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `contributeDataTypeAnalyzer(OrderedConfiguration<DataTypeAnalyzer> configuration, DataTypeAnalyzer defaultDataTypeAnalyzer)`
    `static DataTypeAnalyzer` | `createDefaultDataTypeAnalyzer()`
    `static void` | `provideDefaultDataTypeAnalyzers(MappedConfiguration<java.lang.Class,java.lang.String> configuration)` Maps property types to data type names: String --> text Number --> number Enum --> enum Boolean --> boolean Date --> date

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicDataTypeAnalyzers

          public BasicDataTypeAnalyzers()

  - ### Method Detail

    - #### contributeDataTypeAnalyzer

          public static void contributeDataTypeAnalyzer(OrderedConfiguration<DataTypeAnalyzer> configuration,
                                                        DataTypeAnalyzer defaultDataTypeAnalyzer)

    - #### createDefaultDataTypeAnalyzer

          public static DataTypeAnalyzer createDefaultDataTypeAnalyzer()

    - #### provideDefaultDataTypeAnalyzers

          public static void provideDefaultDataTypeAnalyzers(MappedConfiguration<java.lang.Class,java.lang.String> configuration)

      Maps property types to data type names:
      - String --> text
      - Number --> number
      - Enum --> enum
      - Boolean --> boolean
      - Date --> date

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.